Bug 184938 - eliminate RHN registration cards for Dell factory installed systems
eliminate RHN registration cards for Dell factory installed systems
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: RHEL Product and Program Management
Daniel Riek
: FutureFeature
Depends On:
Blocks: 184191
  Show dependency treegraph
Reported: 2006-03-10 04:05 EST by Issue Tracker
Modified: 2010-10-22 00:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-23 14:02:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2006-03-10 04:05:46 EST
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2006-03-10 04:05:51 EST
From User-Agent: XML-RPC

The RHN registration cards, used for Dell factory installed systems, create a lot of work for Dell engineering, Red Hat, and Dell factory people, and the companies that replicate Red Hat CD kits for Dell.  Furthermore, when companies purchase a lot of systems (outside an HPCC relationship), they get one copy of the CD media per system, really only to get the regcard number for that system, and they wind up throwing away lots of CD kits after removing the regcard.  This is a huge waste of effort and money.

We would like to have in place a system whereby the system, purchased from Dell, can have its RHN entitlement automatically validated in some fashion that will not require a registration card.

We're open to ideas on how to accomplish this, but can consider methods whereby a registration number is embedded in the system BIOS tables somehow, and the RHN registration script run at firstboot looks for this information from a Dell system and therefore does not have to prompt the user to enter the regcard number.

We have considered transmitting a Dell system Service Tag to Red Hat, but this raises all sorts of privacy issues we'd rather not get into.

If we could somehow do this without a regcard number, but instead have some interesting cryptographic encrypted/signed object in a BIOS table that Dell would write down, and Red Hat could trust, which encoded the RHN product purchased, that would be even better.

Marking this as High importance, because I think it can save both our companies a lot of money.  Jerry Clement and Dale Kaisner have already been working on the concepts for this, and to some extent Matt Domsch has been involved in considering the technical details necessary to implement.  Request appropriate Red Hat people, both product management and RHN management/engineering, to consider how this might be accomplished.

This event sent from IssueTracker by llu 
 issue 78274
Comment 4 Larry Troan 2006-06-23 14:02:16 EDT
This is being worked by Matt Webbink outside Issue Tracker and Bugzilla. It
should be implemented as part of RHEL5 and perhaps retrofitted back to RHEL4.

Closing this bug since the function is outside bugzilla's scope.

Note You need to log in before you can comment on or make changes to this bug.